Botan 1.10.17

Namespaces | Functions
has160.cpp File Reference
`#include <botan/has160.h>`
`#include <botan/loadstor.h>`
`#include <botan/rotate.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::HAS_160_F

## Functions
void | Botan::HAS_160_F::F1 (u32bit A, u32bit &B, u32bit C, u32bit D, u32bit &E, u32bit msg, u32bit rot)
void | Botan::HAS_160_F::F2 (u32bit A, u32bit &B, u32bit C, u32bit D, u32bit &E, u32bit msg, u32bit rot)
void | Botan::HAS_160_F::F3 (u32bit A, u32bit &B, u32bit C, u32bit D, u32bit &E, u32bit msg, u32bit rot)
void | Botan::HAS_160_F::F4 (u32bit A, u32bit &B, u32bit C, u32bit D, u32bit &E, u32bit msg, u32bit rot)